
From: Patrick Boettcher <pb@linuxtv.org>

Add another USB ID pair for the VideoWalker USB DVB-T.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/dibusb-mb.c   |   12 +++++++++---
 drivers/media/dvb/dvb-usb/dvb-usb-ids.h |    3 +++
 drivers/media/dvb/dvb-usb/dvb-usb.h     |    2 +-
 3 files changed, 13 insertions(+), 4 deletions(-)

diff -puN drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-add-videowalker-dvb-t-usb-ids drivers/media/dvb/dvb-usb/dibusb-mb.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-mb.c~dvb-usb-add-videowalker-dvb-t-usb-ids	Mon Jun 27 15:37:12 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-mb.c	Mon Jun 27 15:37:12 2005
@@ -123,11 +123,13 @@ static struct usb_device_id dibusb_dib30
 
 /* device ID with default DIBUSB2_0-firmware and with the hacked firmware */
 /* 24 */	{ USB_DEVICE(USB_VID_ADSTECH,		USB_PID_ADSTECH_USB2_WARM) },
+/* 25 */	{ USB_DEVICE(USB_VID_KYE,			USB_PID_KYE_DVB_T_COLD) },
+/* 26 */	{ USB_DEVICE(USB_VID_KYE,			USB_PID_KYE_DVB_T_WARM) },
 
 // #define DVB_USB_DIBUSB_MB_FAULTY_USB_IDs
 
 #ifdef DVB_USB_DIBUSB_MB_FAULTY_USB_IDs
-/* 25 */	{ USB_DEVICE(USB_VID_ANCHOR,		USB_PID_ULTIMA_TVBOX_ANCHOR_COLD) },
+/* 27 */	{ USB_DEVICE(USB_VID_ANCHOR,		USB_PID_ULTIMA_TVBOX_ANCHOR_COLD) },
 #endif
 			{ }		/* Terminating entry */
 };
@@ -170,7 +172,7 @@ static struct dvb_usb_properties dibusb1
 		}
 	},
 
-	.num_device_descs = 8,
+	.num_device_descs = 9,
 	.devices = {
 		{	"AVerMedia AverTV DVBT USB1.1",
 			{ &dibusb_dib3000mb_table[0],  NULL },
@@ -204,6 +206,10 @@ static struct dvb_usb_properties dibusb1
 			{ &dibusb_dib3000mb_table[19], NULL },
 			{ &dibusb_dib3000mb_table[20], NULL },
 		},
+		{	"VideoWalker DVB-T USB",
+			{ &dibusb_dib3000mb_table[25], NULL },
+			{ &dibusb_dib3000mb_table[26], NULL },
+		},
 	}
 };
 
@@ -256,7 +262,7 @@ static struct dvb_usb_properties dibusb1
 		},
 #ifdef DVB_USB_DIBUSB_MB_FAULTY_USB_IDs
 		{	"Artec T1 USB1.1 TVBOX with AN2235 (faulty USB IDs)",
-			{ &dibusb_dib3000mb_table[25], NULL },
+			{ &dibusb_dib3000mb_table[27], NULL },
 			{ NULL },
 		},
 #endif
diff -puN drivers/media/dvb/dvb-usb/dvb-usb.h~dvb-usb-add-videowalker-dvb-t-usb-ids drivers/media/dvb/dvb-usb/dvb-usb.h
--- 25/drivers/media/dvb/dvb-usb/dvb-usb.h~dvb-usb-add-videowalker-dvb-t-usb-ids	Mon Jun 27 15:37:12 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dvb-usb.h	Mon Jun 27 15:37:12 2005
@@ -195,7 +195,7 @@ struct dvb_usb_properties {
 	} urb;
 
 	int num_device_descs;
-	struct dvb_usb_device_description devices[8];
+	struct dvb_usb_device_description devices[9];
 };
 
 
diff -puN drivers/media/dvb/dvb-usb/dvb-usb-ids.h~dvb-usb-add-videowalker-dvb-t-usb-ids drivers/media/dvb/dvb-usb/dvb-usb-ids.h
--- 25/drivers/media/dvb/dvb-usb/dvb-usb-ids.h~dvb-usb-add-videowalker-dvb-t-usb-ids	Mon Jun 27 15:37:12 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/dvb-usb-ids.h	Mon Jun 27 15:37:12 2005
@@ -24,6 +24,7 @@
 #define USB_VID_HANFTEK						0x15f4
 #define USB_VID_HAUPPAUGE					0x2040
 #define USB_VID_HYPER_PALTEK				0x1025
+#define USB_VID_KYE							0x0458
 #define USB_VID_MEDION						0x1660
 #define USB_VID_VISIONPLUS					0x13d3
 #define USB_VID_TWINHAN						0x1822
@@ -80,6 +81,8 @@
 #define USB_PID_DVICO_BLUEBIRD_LGZ201_1		0xdb01
 #define USB_PID_DVICO_BLUEBIRD_TH7579_2		0xdb11
 #define USB_PID_MEDION_MD95700				0x0932
+#define USB_PID_KYE_DVB_T_COLD				0x701e
+#define USB_PID_KYE_DVB_T_WARM				0x701f
 
 
 #endif
_
